# RSL_get_sweep

### Synopsis

#include "rsl.h"
Sweep *RSL_get_sweep(Volume *v, float elev);

###

Description

Looks in Volume *v for a sweep that has an elevation angle +/- beam width vertically. If found, then that sweep pointer is returned, else NULL is returned.

### Return value

Upon successful completion, a pointer to the Sweep structure is returned. Otherwise, a NULL pointer is returned.

### See also

RSL_get_volume, RSL_get_ray, RSL_get_first_sweep_of_volume, RSL_get_ray_from_sweep, RSL_get_closest_sweep, RSL_get_next_closest_sweep

Author: John H. Merritt